/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workchangejob.entity;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 职级调整Entity
 * @author chenyuping
 * @version 2018-08-02
 */
public class WorkChangeJob extends ActEntity<WorkChangeJob> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String companyId;		// 所属公司
	private String changer;		// 调整人
	private Date changeDate;		// 调整时间
	private String state;		// 状态
	private String changeFor;		// 原因
	private String processInstanceId;		// 流程实例id
	private String number;		// 编号
	private Date beginDate;
	private Date endDate;
	private String userName;
	private String home;
	private List<WorkChangeJobUser> workChangeJobUserList;
	public WorkChangeJob() {
		super();
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	@ExcelField(title="调整人", align=2, sort=2)
	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}

	public List<WorkChangeJobUser> getWorkChangeJobUserList() {
		return workChangeJobUserList;
	}

	public void setWorkChangeJobUserList(List<WorkChangeJobUser> workChangeJobUserList) {
		this.workChangeJobUserList = workChangeJobUserList;
	}

	public WorkChangeJob(String id){
		super(id);
	}


	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	

	public String getChanger() {
		return changer;
	}

	public void setChanger(String changer) {
		this.changer = changer;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd")
	@ExcelField(title="调整时间", align=2, sort=3)
	public Date getChangeDate() {
		return changeDate;
	}

	public void setChangeDate(Date changeDate) {
		this.changeDate = changeDate;
	}
	
	@ExcelField(title="状态", align=2, sort=4,dictType = "audit_state")
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	

	public String getChangeFor() {
		return changeFor;
	}

	public void setChangeFor(String changeFor) {
		this.changeFor = changeFor;
	}
	

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@ExcelField(title="编号", align=2, sort=1)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

		
}